---
title: VREyeParameters.offset
slug: Web/API/VREyeParameters/offset
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VREyeParameters
  - Virtual Reality
  - WebVR
  - offset
---
<p>{{APIRef("WebVR API")}}{{SeeCompatTable}}{{Deprecated_header}}</p>

<p>The <strong><code>offset</code></strong> read-only property of the {{domxref("VREyeParameters")}} interface <dfn>r</dfn><dfn>epresents the o</dfn>ffset from the center point between the user's eyes to the center of the eye, measured in meters.</p>

<p>This value should represent half the user’s interpupillary distance (IPD), but may also represent the distance from the center point of the headset to the center point of the lens for the given eye.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myOffset = eyeParametersInstance.offset;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Float32Array")}} representing a vector describing the offset from the center point between the users eyes to the center of the eye in meters.</p>

<div class="note">
<p><dfn><strong>Note</strong>: </dfn>Values for the left eye will be negative; values for the right eye will be positive.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRFieldOfView", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vreyeparameters-offset', 'offset')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VREyeParameters.offset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
